<View::Base::SourceRecord
  class="use-highlights icon-grid-with-categories"
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  @onLoad={{this.setup}}
>
  <div class="icon-grid-with-categories">
    <View::Categories
      @stateKey="ic"
      @managed={{true}}
      @name={{@value.name}}
      @gid={{@value.gid}}
      @path="{{@path}}.data.categories"
      @value={{this.categories}}
      @state={{this.strState}}
      @onChangeState={{this.onChangeCategoryState}}
      @deviceSize={{@deviceSize}}
      @model={{@model}}
      @skipSetup={{true}}
      class="categories-list flex-wrap"
    />
    <View::Categories
      @stateKey="isc"
      @name={{@value.name}}
      @gid={{@value.gid}}
      @value={{this.subcategories}}
      @path="{{@path}}.data.subcategories"
      @state={{this.strState}}
      @onChangeState={{@onChangeState}}
      @deviceSize={{@deviceSize}}
      @model={{@model}}
      @skipSetup={{true}}
      class="subcategories-list flex-wrap"
    />

    <Container
      @value={{@value.data.container}}
      @deviceSize={{@deviceSize}}
      class="icon-list"
      data-name={{@value.name}}
      data-path="{{@path}}.data.container"
    >
      {{#each this.selectedIcons as |icon|}}
        <div class="icon">
          <Icon
            @options={{@value.data.iconContainer}}
            @src={{icon}}
            @deviceSize={{@deviceSize}}
            @tooltip={{false}}
            data-name={{@value.name}}
            data-gid={{@value.gid}}
            data-path="{{@path}}.data.iconContainer"
            data-type="icon"
            data-editor="icon-container"
          />
          <TextWithOptions
            class="icon-label"
            @deviceSize={{@deviceSize}}
            @options={{@value.data.iconName}}
            @tag="div"
            data-path="{{@path}}.data.iconName"
            data-type="icon name"
            data-name={{@value.name}}
            data-gid={{@value.gid}}
          >{{!
        }}{{icon.name}}{{!
      }}</TextWithOptions>
        </div>
      {{/each}}
    </Container>
  </div>
</View::Base::SourceRecord>